EDIT - feature request #8282

Implement placementDoubtful in TaxEditor
05/16/2019 04:53 PM - Andreas Mdller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.9

Severity: normal

Description

TaxonNode will have a doubtful flag (#8281). We need to implement this in TaxEditor, too.

Important is that the labels clearly distinguishes the Taxon.doubful and the TaxonNode.doubtful flag.

We may call it "placement doubtful" or "provisional placement” like in E+M Berlin Model.

Related issues:

Related to EDIT - feature request #8486: Indicating doubtful state in navigat... Closed

Related to EDIT - bug #8498: Set Flags should show the current status of the ... In Progress

Follows EDIT - feature request #8281: Doubtful flag for TaxonNode

Closed

Associated revisions

Revision 4601cb73 - 08/09/2019 12:30 PM - Katja Luther

ref #8282: adapt editor to new doubtful attribute in taxonnode

Revision d12aae39 - 08/09/2019 12:32 PM - Katja Luther

ref #8282: adapt save taxonnode to new doubtful attribute

Revision b850¢c728 - 08/23/2019 09:51 AM - Katja Luther
ref #8282: move doubtful checkbox below publish checkbox

Revision 43ed2498 - 08/23/2019 03:25 PM - Katja Luther

ref #8282: add setDoubtful to setFlag menu in navigator

Revision 76ab205e - 08/28/2019 03:40 PM - Katja Luther

ref #8282: adapt order in navigator menu

History

#1 - 05/16/2019 04:54 PM - Andreas Miiller

- Due date set to 05/17/2019

- Start date changed from 05/16/2019 to 05/17/2019

- Follows feature request #8281: Doubtful flag for TaxonNode added

#2 - 07/19/2019 03:13 PM - Andreas Miiller
- Due date deleted (05/17/2019)

- Target version changed from Release 5.8 to Release 5.9

#3 - 08/09/2019 12:17 PM - Katja Luther

- Status changed from New to In Progress

#4 - 08/09/2019 12:31 PM - Katja Luther
- Status changed from In Progress to Resolved

- Assignee changed from Katja Luther to Andreas Miiller
https://dev.e-taxonomy.eu/redmine/issues/8281

this is implemented now, please review.

#5 - 08/16/2019 12:24 PM - Andreas Miiller

- Status changed from Resolved to Feedback

- Assignee changed from Andreas Miiller to Katja Luther

- Priority changed from New to Highest

The new field should be close to the taxon node information as it is from taxon node. Currently it is in the middle of taxon information.

So we should move "Taxon is published" up and Placement doubtful down.

Also we should indicate the state in the taxon navigator somehow. E.g. by symbol "?" that we normally use for doubtful information. But we use ?

already for unplaced. Maybe we find a better symbol for unplaced. If not maybe we use "??" to distinguish. => This might be a separate ticket, don't
know how much work it is.

#6 - 08/16/2019 08:43 PM - Andreas Miiller

Also we should add the doubtful flag to the "Set flags" method in the taxon navigator right click menu.

#7 - 08/16/2019 08:43 PM - Andreas Miiller
- % Done changed from 0 to 30

#8 - 08/23/2019 09:51 AM - Katja Luther
Andreas Muller wrote:
The new field should be close to the taxon node information as it is from taxon node. Currently it is in the middle of taxon information.
So we should move "Taxon is published" up and Placement doubtful down.
Also we should indicate the state in the taxon navigator somehow. E.g. by symbol "?" that we normally use for doubtful information. But we use ?

already for unplaced. Maybe we find a better symbol for unplaced. If not maybe we use "??" to distinguish. => This might be a separate ticket,
don't know how much work it is.

the last points | will move to a new ticket

#9 - 08/23/2019 09:52 AM - Katja Luther
- Status changed from Feedback to Resolved

- Assignee changed from Katja Luther to Andreas Mtiller
the checkbox is moved below the publish checkbox.

#10 - 08/23/2019 09:54 AM - Katja Luther
- Related to feature request #8486: Indicating doubtful state in navigator and add set-doubtful to Set-Flags menu added

#11 - 08/23/2019 11:34 AM - Andreas Miiller

- Status changed from Resolved to Feedback

- Assignee changed from Andreas Muiller to Katja Luther
- % Done changed from 30 to 70

Andreas Muller wrote:

Also we should add the doubtful flag to the "Set flags" method in the taxon navigator right click menu.

Seems to be missing still.

#12 - 08/23/2019 11:35 AM - Andreas Miiller

Katja Luther wrote:

the checkbox is moved below the publish checkbox.
works as expected. Ticket can be closed once is #note-11 is fixed

#13 - 08/23/2019 11:37 AM - Katja Luther

Andreas Muller wrote:
Andreas Muller wrote:

Also we should add the doubtful flag to the "Set flags" method in the taxon navigator right click menu.

Seems to be missing still.

this is in the follow up ticket, therefore we need a service method, an handler and an operation, | think it would be better to do this in next release. It is
not much work but still needs some time to implement everything and test it.

#14 - 08/23/2019 11:37 AM - Katja Luther

- Assignee changed from Katja Luther to Andreas Miiller

#15 - 08/23/2019 12:24 PM - Andreas Miiller
ok

#16 - 08/23/2019 01:45 PM - Andreas Miiller
- Status changed from Feedback to Closed
- Assignee changed from Andreas Muiller to Katja Luther

- % Done changed from 70 to 100

#17 - 08/23/2019 03:34 PM - Katja Luther

the setDoubtful menu item is now implemented for the navigator, but it was not possible to set the menu to invisible for the classification because
when clicking on a classification the menu is removed and afterwards it is not available anymore. So at the moment there is a workaround with
disabled menu items for the classification.

#18 - 08/26/2019 08:42 AM - Andreas Miiller
- Status changed from Closed to Feedback
- % Done changed from 100 to 90

A minor issue: can we have the order of the flags in the same order as in the assistent. That makes it more intuitive. There it is doubtful, unplaced,
excluded which is a good order | think.

#19 - 08/28/2019 03:41 PM - Katja Luther
- Status changed from Feedback to Resolved

- Assignee changed from Katja Luther to Andreas Miiller

the labels are moved

#20 - 08/29/2019 05:12 AM - Andreas Miiller
- Related to bug #8498: Set Flags should show the current status of the flags added

#21 - 08/29/2019 05:14 AM - Andreas Miiller
- Status changed from Resolved to Closed
- Assignee changed from Andreas Miiller to Katja Luther

- % Done changed from 90 to 100

We could still add symbols with the current state of the flag to the "Set Flags" submenu. | created a new ticket for this #8498
